Bug 1056638 - Maven repo contains jars with different version than EAP
Summary: Maven repo contains jars with different version than EAP
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Maven Repository
Version: 6.2.1
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: CR3
: EAP 6.2.1
Assignee: Vaclav Tunka
QA Contact: Nikoleta Hlavickova
URL:
Whiteboard:
Depends On: 1057631
Blocks: eap62-cp01-blockers
TreeView+ depends on / blocked
 
Reported: 2014-01-22 15:37 UTC by Nikoleta Hlavickova
Modified: 2017-10-10 00:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-24 20:15:25 UTC
Type: Bug


Attachments (Terms of Use)
Jars missing from Maven repository zip (1.85 KB, text/plain)
2014-01-23 07:29 UTC, Nikoleta Hlavickova
no flags Details

Description Nikoleta Hlavickova 2014-01-22 15:37:18 UTC
Some jars included in EAP are not included in Maven repository zip with the same version. 

This affects mostly jboss-as-* jars:
version in EAP is 7.3.0.Final-redhat-14
version in Maven repo is 7.3.1.Final-redhat-1
eap6-supported-artifacts BOM references artifacts included in Maven repo

For full list of affected jars see: 
https://jenkins.mw.lab.eng.bos.redhat.com/hudson/view/EAP6/view/EAP-6.2.x-CP/job/eap-62x-patched-repository-maven-check-EAP-jars-in-repo/4/testReport/

Comment 1 Vaclav Tunka 2014-01-22 17:09:20 UTC
Hi Nikoleta,

as Jenkins is down currently, I don't have access to the report you posted. Anyway I looked inside the patch and the jboss-as-* jars seem to be generally in 7.3.1.Final-redhat-* versions.

Is it perhaps possible, that your tests check [1] instead of [2] in the EAP 6.2.x installation with CP1 applied on top?

[1] jboss-eap-6.2/modules/system/layers/base/org/jboss/as/*
[2] jboss-eap-6.2/modules/system/layers/base/.overlays/layer-base-jboss-eap-6.2.1.CP/org/jboss/as

Comment 2 Nikoleta Hlavickova 2014-01-23 07:27:53 UTC
Hi Vaclav,

the test checks all valid jars in both directories you mentioned. The jars in the report are not included in the patch so they should stay in version 7.3.0.Final-redhat-14. It is so in EAP but not in Maven repository.

I will attach the list of jars so you can see it without Jenkins. I hope this will help.

Comment 3 Nikoleta Hlavickova 2014-01-23 07:29:00 UTC
Created attachment 854226 [details]
Jars missing from Maven repository zip

Comment 4 Vaclav Tunka 2014-01-23 12:54:22 UTC
I think I now understand what might be the issue. The patch-gen tries to compare artifacts on the class level, so if there is just a version bump without changes to classes, patch-gen will use the previous artifact from 6.2.0.GA to minimize number of changes, whereas new artifacts are uploaded to a maven repository (even if they didn't change except newer version).

Could you please do a comparison on class level for those jars, to see if they contain the same classes?

Comment 5 Nikoleta Hlavickova 2014-01-23 14:11:10 UTC
Those jars differ only in version, classes are the same.

Comment 6 Vaclav Tunka 2014-01-24 14:08:32 UTC
Based on PM preference, created a BZ to modify the maven generation process:
BZ1057631

Comment 8 Nikoleta Hlavickova 2014-01-29 08:13:26 UTC
Verified for 6.2.1.CP.CR3.


Note You need to log in before you can comment on or make changes to this bug.